org.eclipse.rdf4j.rio.trix

## Class TriXWriterFactory

- java.lang.Object
- - org.eclipse.rdf4j.rio.trix.TriXWriterFactory

- All Implemented Interfaces:
    RDFWriterFactory

      public class TriXWriterFactory
      extends Object
      implements RDFWriterFactory

  An `RDFWriterFactory` for TriX writers.
  Author:
    Arjohn Kampman

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TriXWriterFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RDFFormat` | `getRDFFormat()` Returns `RDFFormat.TRIX`.
    `RDFWriter` | `getWriter(OutputStream out)` Returns a new instance of `TriXWriter`.
    `RDFWriter` | `getWriter(OutputStream out, String baseURI)` Returns a new instance of `TriXWriter`.
    `RDFWriter` | `getWriter(Writer writer)` Returns a new instance of `TriXWriter`.
    `RDFWriter` | `getWriter(Writer writer, String baseURI)` Returns a new instance of `TriXWriter`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TriXWriterFactory

          public TriXWriterFactory()

  - ### Method Detail

    - #### getRDFFormat

          public RDFFormat getRDFFormat()

      Returns `RDFFormat.TRIX`.
      Specified by:
        `getRDFFormat` in interface `RDFWriterFactory`

    - #### getWriter

          public RDFWriter getWriter(OutputStream out)

      Returns a new instance of `TriXWriter`.
      Specified by:
        `getWriter` in interface `RDFWriterFactory`
      Parameters:
        `out` - The OutputStream to write the RDF to.

    - #### getWriter

          public RDFWriter getWriter(OutputStream out,
                                     String baseURI)

      Returns a new instance of `TriXWriter`.
      Specified by:
        `getWriter` in interface `RDFWriterFactory`
      Parameters:
        `out` - The OutputStream to write the RDF to.
        `baseURI` - The URI associated with the data in the InputStream.

    - #### getWriter

          public RDFWriter getWriter(Writer writer)

      Returns a new instance of `TriXWriter`.
      Specified by:
        `getWriter` in interface `RDFWriterFactory`
      Parameters:
        `writer` - The Writer to write the RDF to.

    - #### getWriter

          public RDFWriter getWriter(Writer writer,
                                     String baseURI)

      Returns a new instance of `TriXWriter`.
      Specified by:
        `getWriter` in interface `RDFWriterFactory`
      Parameters:
        `writer` - The Writer to write the RDF to.
        `baseURI` - The URI associated with the data in the InputStream.

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.